using System;
using System.Collections.Generic;
using System.Runtime.CompilerServices;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate305 : MulticastDelegate
{
	public extern CallSiteBinder Invoke(CSharpBinderFlags csharpBinderFlags_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0);

	public static CallSiteBinder smethod_0(CSharpBinderFlags csharpBinderFlags_0, Type type_0, IEnumerable<CSharpArgumentInfo> ienumerable_0, Delegate305 delegate305_1)
	{
		return delegate305_1(csharpBinderFlags_0, type_0, ienumerable_0);
	}

	public extern Delegate305(object object_0, IntPtr intptr_0);

	static Delegate305()
	{
		Class10.smethod_13(typeof(Delegate305).TypeHandle);
	}

	internal static Delegate305 delegate305_0;
}
